Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bidimap
Class UnmodifiableOrderedBidiMap

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.bidimap.AbstractBidiMapDecorator
              org.apache.commons.collections.bidimap.AbstractOrderedBidiMapDecorator
                  org.apache.commons.collections.bidimap.UnmodifiableOrderedBidiMap

All Implemented Interfaces:
  java.util.Map, BidiMap, IterableMap, OrderedBidiMap, OrderedMap, Unmodifiable

    public final class UnmodifiableOrderedBidiMap

extends AbstractOrderedBidiMapDecorator
implements Unmodifiable

Decorates another `OrderedBidiMap` to ensure it can't be altered.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Method Summary
`void` | `clear()`
`static OrderedBidiMap` | `decorate(OrderedBidiMap map)` Factory method to create an unmodifiable map.
`java.util.Set` | `entrySet()`
`BidiMap` | `inverseBidiMap()` Gets a view of this map where the keys and values are reversed.
`OrderedBidiMap` | `inverseOrderedBidiMap()` Gets a view of this map where the keys and values are reversed.
`java.util.Set` | `keySet()`
`MapIterator` | `mapIterator()` Obtains a `MapIterator` over the map.
`OrderedMapIterator` | `orderedMapIterator()` Obtains an `OrderedMapIterator` over the map.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Puts the key-value pair into the map, replacing any previous pair.
`void` | `putAll(java.util.Map mapToCopy)`
`java.lang.Object` | `remove(java.lang.Object key)`
`java.lang.Object` | `removeValue(java.lang.Object value)` Removes the key-value pair that is currently mapped to the specified value (optional operation).
`java.util.Collection` | `values()`

Methods inherited from class org.apache.commons.collections.bidimap.AbstractOrderedBidiMapDecorator
`firstKey, getOrderedBidiMap, lastKey, nextKey, previousKey`

Methods inherited from class org.apache.commons.collections.bidimap.AbstractBidiMapDecorator
`getBidiMap, getKey`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.BidiMap
`getKey`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Method Detail

### decorate

    public static OrderedBidiMap decorate(OrderedBidiMap map)

  Factory method to create an unmodifiable map.

  If the map passed in is already unmodifiable, it is returned.

  Parameters:
    `map` - the map to decorate, must not be null
  Returns:
    an unmodifiable OrderedBidiMap
  Throws:
    `java.lang.IllegalArgumentException` - if map is null

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Description copied from interface: `BidiMap`
  Puts the key-value pair into the map, replacing any previous pair.

  When adding a key-value pair, the value may already exist in the map against a different key. That mapping is removed, to ensure that the value only occurs once in the inverse map.

        BidiMap map1 = new DualHashBidiMap();
        map.put("A","B");  // contains A mapped to B, as per Map
        map.put("A","C");  // contains A mapped to C, as per Map

        BidiMap map2 = new DualHashBidiMap();
        map.put("A","B");  // contains A mapped to B, as per Map
        map.put("C","B");  // contains C mapped to B, key A is removed

  Specified by:
    `put` in interface `java.util.Map`
  Specified by:
    `put` in interface `BidiMap`
  Overrides:
    `put` in class `AbstractMapDecorator`
  Parameters:
    `key` - the key to store
    `value` - the value to store
  Returns:
    the previous value mapped to this key

### putAll

    public void putAll(java.util.Map mapToCopy)

  Specified by:
    `putAll` in interface `java.util.Map`
  Overrides:
    `putAll` in class `AbstractMapDecorator`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `AbstractMapDecorator`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Overrides:
    `entrySet` in class `AbstractMapDecorator`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`
  Overrides:
    `keySet` in class `AbstractMapDecorator`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`
  Overrides:
    `values` in class `AbstractMapDecorator`

### removeValue

    public java.lang.Object removeValue(java.lang.Object value)

  Description copied from interface: `BidiMap`
  Removes the key-value pair that is currently mapped to the specified value (optional operation).

  If the value is not contained in the map, `null` is returned.

  Implementations should seek to make this method perform equally as well as `remove(Object)`.

  Specified by:
    `removeValue` in interface `BidiMap`
  Overrides:
    `removeValue` in class `AbstractBidiMapDecorator`
  Parameters:
    `value` - the value to find the key-value pair for
  Returns:
    the key that was removed, `null` if nothing removed

### mapIterator

    public MapIterator mapIterator()

  Description copied from interface: `BidiMap`
  Obtains a `MapIterator` over the map.

  A map iterator is an efficient way of iterating over maps. It does not require that the map is stored using Map Entry objects which can increase performance.

       BidiMap map = new DualHashBidiMap();
       MapIterator it = map.mapIterator();
       while (it.hasNext()) {
         Object key = it.next();
         Object value = it.getValue();
         it.setValue("newValue");
       }

  Specified by:
    `mapIterator` in interface `BidiMap`
  Specified by:
    `mapIterator` in interface `IterableMap`
  Overrides:
    `mapIterator` in class `AbstractBidiMapDecorator`
  Returns:
    a map iterator

### inverseBidiMap

    public BidiMap inverseBidiMap()

  Description copied from interface: `BidiMap`
  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed as a `Map`.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  Specified by:
    `inverseBidiMap` in interface `BidiMap`
  Specified by:
    `inverseBidiMap` in interface `OrderedBidiMap`
  Overrides:
    `inverseBidiMap` in class `AbstractBidiMapDecorator`
  Returns:
    an inverted bidirectional map

### orderedMapIterator

    public OrderedMapIterator orderedMapIterator()

  Description copied from interface: `OrderedMap`
  Obtains an `OrderedMapIterator` over the map.

  A ordered map iterator is an efficient way of iterating over maps in both directions.

       BidiMap map = new TreeBidiMap();
       MapIterator it = map.mapIterator();
       while (it.hasNext()) {
         Object key = it.next();
         Object value = it.getValue();
         it.setValue("newValue");
         Object previousKey = it.previous();
       }

  Specified by:
    `orderedMapIterator` in interface `OrderedMap`
  Overrides:
    `orderedMapIterator` in class `AbstractOrderedBidiMapDecorator`
  Returns:
    a map iterator

### inverseOrderedBidiMap

    public OrderedBidiMap inverseOrderedBidiMap()

  Description copied from interface: `OrderedBidiMap`
  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed equally.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  Specified by:
    `inverseOrderedBidiMap` in interface `OrderedBidiMap`
  Overrides:
    `inverseOrderedBidiMap` in class `AbstractOrderedBidiMapDecorator`
  Returns:
    an inverted bidirectional map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.